Update extension
PUT
/api/v1/extensions/{id}
const url = 'https://example.com/api/v1/extensions/example?projectId=00000000-0000-0000-0000-000000000000';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url 'https://example.com/api/v1/extensions/example?projectId=00000000-0000-0000-0000-000000000000' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Query Parameters
Section titled “Query Parameters ” projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Request Body
Section titled “Request Body ” Media type application/json
object
name
string
description
string
Responses
Section titled “ Responses ”Success
Media type application/json
object
_id
required
string
slug
required
string
publisher
required
string
name
required
string
description
string
origin
required
string
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string